﻿@model IEnumerable<ProjectUni.Models.JobApplication>
@using ProjectUni.Models;
@{
    ViewBag.Title = "Applyby";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}

@{ 
    PContext db = new PContext();
    var user = db.users.ToList();
}
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <h2 style="color:white;">Apply by</h2>


            <table class="table table-bordered" style="color:white;">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Applyby)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.Applyby)
                        </td>
                        <td>
                            @{var usr = user.Where(u => u.Email == item.Applyby).FirstOrDefault();}
                            @Html.ActionLink("Details", "ApplybyDetail", new { id = usr.UserId })
                        </td>
                    </tr>
                }

            </table>

        </div>
    </div>
</div>
